# $Revision: 1.8 $, $Date: 2010/11/16 19:56:16 $
%include	/usr/lib/rpm/macros.java
Summary:	Web Tools Platform (WTP) Project
Name:		eclipse-plugin-webtools
Version:	2.0.3
Release:	2
License:	EPL v1.0
Group:		Development/Tools
URL:		http://www.eclipse.org/webtools/
Source0:	http://archive.eclipse.org/webtools/downloads/drops/R2.0/R-%{version}-20080710044639/wtp-R-%{version}-20080710044639.zip
# Source0-md5:	50b71ffba34da650dfa259388c043ab3
BuildRequires:	rpm-javaprov
BuildRequires:	unzip
Requires:	eclipse >= 3.3
Requires:	eclipse-dtp >= 1.5.2
Requires:	eclipse-emf-sdo-xsd >= 2.3
Requires:	eclipse-gef >= 3.3.2
#Suggests:	eclipse-test-framework >= 3.3
#Suggests:	org.eclipse.releng.tools >= 3.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		eclipsedir	%{_datadir}/eclipse

%description
The Eclipse Web Tools Platform (WTP) project extends the Eclipse
platform with tools for developing Web and Java EE applications. It
includes source and graphical editors for a variety of languages,
wizards and built-in applications to simplify development, and tools
and APIs to support deploying, running, and testing apps.

%prep
%setup -qc
mv eclipse/*.html .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{eclipsedir}/{features,plugins}
cp -a eclipse/* $RPM_BUILD_ROOT%{eclipsedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{eclipsedir}/features/org.eclipse.jpt.*
%{eclipsedir}/plugins/org.eclipse.jpt[._]*.jar

%{eclipsedir}/features/org.eclipse.jst[._]*
%{eclipsedir}/plugins/org.eclipse.jst.*
%{eclipsedir}/plugins/org.eclipse.jst_*.jar

%{eclipsedir}/features/org.eclipse.wst[._]*

%{eclipsedir}/plugins/org.eclipse.wst.*
%{eclipsedir}/plugins/org.eclipse.wst_*.jar

%{eclipsedir}/plugins/org.eclipse.jem[._]*.jar
%{eclipsedir}/plugins/org.uddi4j_*.jar

# deps
%{eclipsedir}/plugins/javax.servlet_*.jar
%{eclipsedir}/plugins/javax.servlet.jsp_*.jar
%{eclipsedir}/plugins/javax.wsdl15_*.jar
%{eclipsedir}/plugins/javax.wsdl_*.jar
%{eclipsedir}/plugins/javax.xml.rpc_*
%{eclipsedir}/plugins/javax.xml.soap_*
%{eclipsedir}/plugins/org.apache.axis_*
%{eclipsedir}/plugins/org.apache.cactus_*
%{eclipsedir}/plugins/org.apache.commons.discovery_*
%{eclipsedir}/plugins/org.apache.commons.el_*.jar
%{eclipsedir}/plugins/org.apache.commons.logging_*.jar
%{eclipsedir}/plugins/org.apache.log4j_*.jar
%{eclipsedir}/plugins/org.apache.wsil4j_*.jar
%{eclipsedir}/plugins/org.apache.xerces_*.jar
%{eclipsedir}/plugins/org.apache.xml.resolver_*.jar

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eclipse-plugin-webtools.spec,v $
Revision 1.8  2010/11/16 19:56:16  glen
- R: eclipse-dtp, eclipse-emf-sdo-xsd

Revision 1.7  2010/11/16 17:06:34  glen
- revert, wtp contains already wtp-wst
- group filelist a but

Revision 1.6  2010/11/16 16:39:18  glen
- fetch wtp-wst

Revision 1.5  2010/11/11 20:35:51  glen
- release 1

Revision 1.4  2010/11/11 20:15:55  glen
- sort

Revision 1.3  2010/11/11 20:01:50  glen
- package actual wtp (2.0.3), not Google Plugin for Eclipse

Revision 1.2  2010/05/16 14:13:49  sparky
- BR: unzip

Revision 1.1  2009/05/19 21:18:17  glen
- unfinished
